X-Apps - backports (Xenial & newer)

PPA description

X-Apps backports (pix, xed, xplayer, xreader, xviewer) for Xenial & newer.

*** Please always see https://launchpad.net/~savoury1 for general updates about this Launchpad site before contacting me or reporting any bugs! ***

*** Big thanks to all those who have donated to support this project, you are very directly helping to keep it alive! To all who have not donated: please do so if you can afford it, this project depends on donations. ***

If software at this site is useful to you then please consider a donation:

*** Donations: https://paypal.me/Savoury1 & https://ko-fi.com/Savoury1 ***
*** Also https://patreon.com/Savoury1 & https://liberapay.com/Savoury1 ***

==========================================================================
                    X-Apps - backports (Xenial & newer)
==========================================================================

exiv2 (0.27.6), freeglut (3.4.0), grilo-plugins (0.3.12), lerc (4.0.0), libgcrypt20, libgpg-error, libquvi (0.9.5), libwebp (1.3.2), lirc (0.10.2), pix (2.4.11 / 2.4.5 Xenial), quvi (0.9.5), tiff (4.6.0), totem-pl-parser (3.26.5), xed (2.6.2 / 1.6.3), xplayer (2.2.8), xplayer-pl-parser (1.0.2+updated), xreader (2.6.4 / 2.0.2), xviewer (2.4.3), xviewer-plugins (1.2.0), zlib (1.2.13)

Xenial & Bionic: grilo (0.3.12), libgom, libpng1.6, tracker (2.3.6)

Xenial only: libquvi-scripts, sqlite3 (3.22.0)

==========================================================================

*** Install ***

Note for Xenial: Several newer X-Apps packages require GTK3 >= 3.20.0 (eg. pix >= 2.4.6, xapp >= 1.4.9, and xreader >= 2.2.3). Xenial has GTK3 3.18.9 so this PPA has pix 2.4.5, xapp 1.2.2, and xreader 2.0.2 for Xenial. For the newer apps on Xenial see the PPA with Bionic GTK 3.22 backports (and related packages) [*] that also includes all the newer X-Apps for Xenial.

[*] https://launchpad.net/~savoury1/+archive/ubuntu/gtk-xenial

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/build-tools
  ppa:savoury1/backports
  ppa:savoury1/graphics
  ppa:savoury1/multimedia

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/xapps to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/xapps
sudo apt update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb https://ppa.launchpadcontent.net/savoury1/xapps/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src https://ppa.launchpadcontent.net/savoury1/xapps/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
5 updates added during the past month.
View package details

Overview of published packages

172 of 72 results
Package Version Uploaded by
exiv2 0.27.6-1~20.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~18.04.sav0 Rob Savoury ()
exiv2 0.27.6-1~16.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~20.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~18.04.sav0 Rob Savoury ()
freeglut 3.4.0-1~16.04.sav0 Rob Savoury ()
grilo 0.3.12-1~18.04.sav0 Rob Savoury ()
grilo 0.3.12-1~16.04.sav0 Rob Savoury ()
grilo-plugins 0.3.12-1ubuntu1~20.04.sav0 Rob Savoury ()
grilo-plugins 0.3.12-1ubuntu1~18.04.sav0 Rob Savoury ()
grilo-plugins 0.3.12-1ubuntu1~16.04.sav0 Rob Savoury ()
lerc 4.0.0+ds-3~20.04.sav0 Rob Savoury ()
lerc 4.0.0+ds-3~18.04.sav0 Rob Savoury ()
lerc 4.0.0+ds-3~16.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~20.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~18.04.sav0 Rob Savoury ()
libgcrypt20 1.10.3-2ubuntu0~16.04.sav0 Rob Savoury ()
libgom 0.4-1~18.04.sav0 Rob Savoury ()
libgom 0.4-1~16.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~20.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~18.04.sav0 Rob Savoury ()
libgpg-error 1.47-0ubuntu1~16.04.sav0 Rob Savoury ()
libpng1.6 1.6.43-1~18.04.sav0 Rob Savoury ()
libpng1.6 1.6.43-1~16.04.sav0 Rob Savoury ()
libquvi 0.9.4-1~20.04.sav0 Rob Savoury ()
libquvi 0.9.4-1~18.04.sav0 Rob Savoury ()
libquvi 0.9.4-1~16.04.sav0 Rob Savoury ()
libquvi-scripts 0.9.20131130-1.1~16.04.sav0 Rob Savoury ()
libwebp 1.3.2-0.3~20.04.sav0 Rob Savoury ()
libwebp 1.3.2-0.3~18.04.sav0 Rob Savoury ()
libwebp 1.3.2-0.3~16.04.sav0 Rob Savoury ()
lirc 0.10.2-0.3~20.04.sav1 Rob Savoury ()
lirc 0.10.2-0.3~18.04.sav1 Rob Savoury ()
lirc 0.10.2-0.3~16.04.sav0 Rob Savoury ()
pix 2.4.11-0ubuntu1~20.04.sav0.1 Rob Savoury ()
pix 2.4.11-0ubuntu1~18.04.sav0.1 Rob Savoury ()
pix 2.4.5-0ubuntu1~16.04.sav0.1 Rob Savoury ()
quvi 0.9.5-0ubuntu1~20.04.sav0 Rob Savoury ()
quvi 0.9.5-0ubuntu1~18.04.sav0 Rob Savoury ()
quvi 0.9.5-0ubuntu1~16.04.sav0 Rob Savoury ()
sqlite3 3.22.0-1ubuntu0.7~16.04.sav0 Rob Savoury ()
tiff 4.6.0-2~20.04.sav0 Rob Savoury ()
tiff 4.6.0-2~18.04.sav0 Rob Savoury ()
tiff 4.6.0-2~16.04.sav0 Rob Savoury ()
totem-pl-parser 3.26.5-5ubuntu1~20.04.sav0 Rob Savoury ()
totem-pl-parser 3.26.5-5ubuntu1~18.04.sav0 Rob Savoury ()
totem-pl-parser 3.26.5-5ubuntu1~16.04.sav0 Rob Savoury ()
tracker 2.3.6-0ubuntu1~18.04.sav0 Rob Savoury ()
tracker 2.3.6-0ubuntu1~16.04.sav0 Rob Savoury ()
xapp 1.4.9-1~18.04.sav0 Rob Savoury ()
xapp 1.2.2-1~16.04.sav0 Rob Savoury ()
xed 2.6.2-0ubuntu1~20.04.sav0 Rob Savoury ()
xed 2.6.2-0ubuntu1~18.04.sav0 Rob Savoury ()
xed 1.6.3-0ubuntu1~16.04.sav0 Rob Savoury ()
xplayer 2.2.8-0ubuntu1~20.04.sav0 Rob Savoury ()
xplayer 2.2.8-0ubuntu1~18.04.sav0 Rob Savoury ()
xplayer 2.2.8-0ubuntu1~16.04.sav0 Rob Savoury ()
xplayer-pl-parser 1.0.2+updated-0ubuntu1~20.04.sav0 Rob Savoury ()
xplayer-pl-parser 1.0.2+updated-0ubuntu1~18.04.sav0 Rob Savoury ()
xplayer-pl-parser 1.0.2+updated-0ubuntu1~16.04.sav0 Rob Savoury ()
xreader 2.6.4-0ubuntu1~20.04.sav0 Rob Savoury ()
xreader 2.6.4-0ubuntu1~18.04.sav0 Rob Savoury ()
xreader 2.0.2-0ubuntu1~16.04.sav0 Rob Savoury ()
xviewer 2.4.3-0ubuntu1~20.04.sav0 Rob Savoury ()
xviewer 2.4.3-0ubuntu1~18.04.sav0 Rob Savoury ()
xviewer 2.4.3-0ubuntu1~16.04.sav0 Rob Savoury ()
xviewer-plugins 1.2.0-0ubuntu1~20.04.sav0 Rob Savoury ()
xviewer-plugins 1.2.0-0ubuntu1~18.04.sav0 Rob Savoury ()
xviewer-plugins 1.2.0-0ubuntu1~16.04.sav0 Rob Savoury ()
zlib 1:1.2.13.dfsg-1ubuntu4~20.04.sav0 Rob Savoury ()
zlib 1:1.2.13.dfsg-1ubuntu4~18.04.sav0 Rob Savoury ()
zlib 1:1.2.13.dfsg-1ubuntu4~16.04.sav0 Rob Savoury ()
172 of 72 results

Latest updates

  • lirc 12 hours ago
    Successfully built
  • lirc 12 hours ago
    Successfully built
  • lirc 12 hours ago
    Successfully built
  • libpng1.6 4 days ago
    Successfully built
  • libpng1.6 4 days ago
    Successfully built